#ifndef ATTACKOPTION_HPP_INCLUDED
#define ATTACKOPTION_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class AttackOption : public Object
    {
        public:
            AttackOption(const void* Obj);

            AttackOption() = default;
            AttackOption(AttackOption&& Obj) = default;
            AttackOption(const AttackOption& Obj) = default;
            AttackOption& operator=(AttackOption&& Obj) = default;
            AttackOption& operator=(const AttackOption& Obj) = default;

            static Class GetClass();

            std::int32_t GetType() const;

    };
}

#endif // ATTACKOPTION_HPP_INCLUDED
